Package com.sun.messaging.jms.notification

## Class Event

- java.lang.Object
- - java.util.EventObject
  - - com.sun.messaging.jms.notification.Event

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ConnectionEvent`, `ConsumerEvent`

      public class Event
      extends java.util.EventObject

  MQ Event. This is the super class for all MQ notification events. MQ may notify an application when a specific MQ event is about to occur or occurred.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Event​(java.lang.Object source, java.lang.String evCode, java.lang.String evMessage)` | Construct a MQ event associated with the source specified.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEventCode()` | Get the event code associated with the MQ event.
    `java.lang.String` | `getEventMessage()` | Get the event message associated with the connection event.
    `java.lang.String` | `toString()` | Returns a MQ event notification event message.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event​(java.lang.Object source,
                       java.lang.String evCode,
                       java.lang.String evMessage)

      Construct a MQ event associated with the source specified.
      Parameters:
        `source` - the source associated with the event.
        `evCode` - the event code that represents the this event object.
        `evMessage` - the event message that describes this event object.

  - ### Method Detail

    - #### getEventCode

          public java.lang.String getEventCode()

      Get the event code associated with the MQ event.
      Returns:
        the event code associated with the MQ event.

    - #### getEventMessage

          public java.lang.String getEventMessage()

      Get the event message associated with the connection event.
      Returns:
        the event message associated with the connection event.

    - #### toString

          public java.lang.String toString()

      Returns a MQ event notification event message. The format is as follows.

      eventCode + ":" + eventMessage + ", " + source=" + source.toString().

      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        a String representation of this EventObject.